# This file was automatically created by FeynRules 1.7.178
# Mathematica version: 9.0 for Mac OS X x86 (64-bit) (January 24, 2013)
# Date: Tue 18 Jun 2013 21:55:19



from object_library import all_parameters, Parameter


from function_library import complexconjugate, re, im, csc, sec, acsc, asec, cot

# This is a default parameter object representing 0.
ZERO = Parameter(name = 'ZERO',
                 nature = 'internal',
                 type = 'real',
                 value = '0.0',
                 texname = '0')

# User-defined parameters.
CKM1x1 = Parameter(name = 'CKM1x1',
                   nature = 'external',
                   type = 'complex',
                   value = 0.97428,
                   texname = '\\text{CKM1x1}',
                   lhablock = 'CKMBlock',
                   lhacode = [ 1, 1 ])

CKM1x2 = Parameter(name = 'CKM1x2',
                   nature = 'external',
                   type = 'complex',
                   value = 0.2253,
                   texname = '\\text{CKM1x2}',
                   lhablock = 'CKMBlock',
                   lhacode = [ 1, 2 ])

CKM1x3 = Parameter(name = 'CKM1x3',
                   nature = 'external',
                   type = 'complex',
                   value = 0.00347,
                   texname = '\\text{CKM1x3}',
                   lhablock = 'CKMBlock',
                   lhacode = [ 1, 3 ])

CKM2x1 = Parameter(name = 'CKM2x1',
                   nature = 'external',
                   type = 'complex',
                   value = 0.2252,
                   texname = '\\text{CKM2x1}',
                   lhablock = 'CKMBlock',
                   lhacode = [ 2, 1 ])

CKM2x2 = Parameter(name = 'CKM2x2',
                   nature = 'external',
                   type = 'complex',
                   value = 0.97345,
                   texname = '\\text{CKM2x2}',
                   lhablock = 'CKMBlock',
                   lhacode = [ 2, 2 ])

CKM2x3 = Parameter(name = 'CKM2x3',
                   nature = 'external',
                   type = 'complex',
                   value = 0.041,
                   texname = '\\text{CKM2x3}',
                   lhablock = 'CKMBlock',
                   lhacode = [ 2, 3 ])

CKM3x1 = Parameter(name = 'CKM3x1',
                   nature = 'external',
                   type = 'complex',
                   value = 0.00862,
                   texname = '\\text{CKM3x1}',
                   lhablock = 'CKMBlock',
                   lhacode = [ 3, 1 ])

CKM3x2 = Parameter(name = 'CKM3x2',
                   nature = 'external',
                   type = 'complex',
                   value = 0.0403,
                   texname = '\\text{CKM3x2}',
                   lhablock = 'CKMBlock',
                   lhacode = [ 3, 2 ])

CKM3x3 = Parameter(name = 'CKM3x3',
                   nature = 'external',
                   type = 'complex',
                   value = 0.999152,
                   texname = '\\text{CKM3x3}',
                   lhablock = 'CKMBlock',
                   lhacode = [ 3, 3 ])

Gvl = Parameter(name = 'Gvl',
                nature = 'external',
                type = 'real',
                value = 1,
                texname = 'g_{\\text{VL}}',
                lhablock = 'Gvl',
                lhacode = [ 1 ])

gstar = Parameter(name = 'gstar',
                  nature = 'external',
                  type = 'real',
                  value = 0.1,
                  texname = '\\text{gstar}',
                  lhablock = 'Kappa',
                  lhacode = [ 1 ])

aEWM1 = Parameter(name = 'aEWM1',
                  nature = 'external',
                  type = 'real',
                  value = 127.9,
                  texname = '\\text{aEWM1}',
                  lhablock = 'SMINPUTS',
                  lhacode = [ 1 ])

Gf = Parameter(name = 'Gf',
               nature = 'external',
               type = 'real',
               value = 0.00001166,
               texname = 'G_f',
               lhablock = 'SMINPUTS',
               lhacode = [ 2 ])

aS = Parameter(name = 'aS',
               nature = 'external',
               type = 'real',
               value = 0.118,
               texname = '\\text{aS}',
               lhablock = 'SMINPUTS',
               lhacode = [ 3 ])

ymb = Parameter(name = 'ymb',
                nature = 'external',
                type = 'real',
                value = 4.2,
                texname = '\\text{ymb}',
                lhablock = 'YUKAWA',
                lhacode = [ 5 ])

ymt = Parameter(name = 'ymt',
                nature = 'external',
                type = 'real',
                value = 174.3,
                texname = '\\text{ymt}',
                lhablock = 'YUKAWA',
                lhacode = [ 6 ])

ymtau = Parameter(name = 'ymtau',
                  nature = 'external',
                  type = 'real',
                  value = 1.777,
                  texname = '\\text{ymtau}',
                  lhablock = 'YUKAWA',
                  lhacode = [ 15 ])

RL = Parameter(name = 'RL',
               nature = 'external',
               type = 'real',
               value = 0.5,
               texname = '\\text{RL}',
               lhablock = 'Zeta',
               lhacode = [ 1 ])

MTA = Parameter(name = 'MTA',
                nature = 'external',
                type = 'real',
                value = 1.777,
                texname = '\\text{MTA}',
                lhablock = 'MASS',
                lhacode = [ 15 ])

MT = Parameter(name = 'MT',
               nature = 'external',
               type = 'real',
               value = 174.3,
               texname = '\\text{MT}',
               lhablock = 'MASS',
               lhacode = [ 6 ])

MB = Parameter(name = 'MB',
               nature = 'external',
               type = 'real',
               value = 4.2,
               texname = '\\text{MB}',
               lhablock = 'MASS',
               lhacode = [ 5 ])

MQ = Parameter(name = 'MQ',
               nature = 'external',
               type = 'real',
               value = 1000,
               texname = '\\text{MQ}',
               lhablock = 'MASS',
               lhacode = [ 6000006 ])

MZ = Parameter(name = 'MZ',
               nature = 'external',
               type = 'real',
               value = 91.1876,
               texname = '\\text{MZ}',
               lhablock = 'MASS',
               lhacode = [ 23 ])

MH = Parameter(name = 'MH',
               nature = 'external',
               type = 'real',
               value = 125,
               texname = '\\text{MH}',
               lhablock = 'MASS',
               lhacode = [ 25 ])

WT = Parameter(name = 'WT',
               nature = 'external',
               type = 'real',
               value = 1.5101349,
               texname = '\\text{WT}',
               lhablock = 'DECAY',
               lhacode = [ 6 ])

WTP = Parameter(name = 'WTP',
                nature = 'external',
                type = 'real',
                value = 1,
                texname = '\\text{WTP}',
                lhablock = 'DECAY',
                lhacode = [ 6000006 ])

WZ = Parameter(name = 'WZ',
               nature = 'external',
               type = 'real',
               value = 2.44639985,
               texname = '\\text{WZ}',
               lhablock = 'DECAY',
               lhacode = [ 23 ])

WW = Parameter(name = 'WW',
               nature = 'external',
               type = 'real',
               value = 2.0353557,
               texname = '\\text{WW}',
               lhablock = 'DECAY',
               lhacode = [ 24 ])

WH = Parameter(name = 'WH',
               nature = 'external',
               type = 'real',
               value = 0.00679485838,
               texname = '\\text{WH}',
               lhablock = 'DECAY',
               lhacode = [ 25 ])

KT = Parameter(name = 'KT',
               nature = 'internal',
               type = 'real',
               value = 'gstar',
               texname = '\\text{KT}')

zetaTcL = Parameter(name = 'zetaTcL',
                    nature = 'internal',
                    type = 'real',
                    value = '0',
                    texname = '\\text{zetaTcL}')

zetaTcR = Parameter(name = 'zetaTcR',
                    nature = 'internal',
                    type = 'real',
                    value = '0',
                    texname = '\\text{zetaTcR}')

zetaTtL = Parameter(name = 'zetaTtL',
                    nature = 'internal',
                    type = 'real',
                    value = '1/(1 + RL)',
                    texname = '\\text{zetaTtL}')

zetaTtR = Parameter(name = 'zetaTtR',
                    nature = 'internal',
                    type = 'real',
                    value = '0',
                    texname = '\\text{zetaTtR}')

zetaTuL = Parameter(name = 'zetaTuL',
                    nature = 'internal',
                    type = 'real',
                    value = 'RL/(1 + RL)',
                    texname = '\\text{zetaTuL}')

zetaTuR = Parameter(name = 'zetaTuR',
                    nature = 'internal',
                    type = 'real',
                    value = '0',
                    texname = '\\text{zetaTuR}')

aEW = Parameter(name = 'aEW',
                nature = 'internal',
                type = 'real',
                value = '1/aEWM1',
                texname = '\\text{aEW}')

G = Parameter(name = 'G',
              nature = 'internal',
              type = 'real',
              value = '2*cmath.sqrt(aS)*cmath.sqrt(cmath.pi)',
              texname = 'G')

MW = Parameter(name = 'MW',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(MZ**2/2. + cmath.sqrt(MZ**4/4. - (aEW*cmath.pi*MZ**2)/(Gf*cmath.sqrt(2))))',
               texname = 'M_W')

ee = Parameter(name = 'ee',
               nature = 'internal',
               type = 'real',
               value = '2*cmath.sqrt(aEW)*cmath.sqrt(cmath.pi)',
               texname = 'e')

KTcLh = Parameter(name = 'KTcLh',
                  nature = 'internal',
                  type = 'real',
                  value = 'cmath.sqrt(zetaTcL)',
                  texname = '\\text{KTcLh}')

KTcRh = Parameter(name = 'KTcRh',
                  nature = 'internal',
                  type = 'real',
                  value = 'cmath.sqrt(zetaTcR)',
                  texname = '\\text{KTcRh}')

KTtLh = Parameter(name = 'KTtLh',
                  nature = 'internal',
                  type = 'real',
                  value = 'cmath.sqrt(zetaTtL)',
                  texname = '\\text{KTtLh}')

KTtRh = Parameter(name = 'KTtRh',
                  nature = 'internal',
                  type = 'real',
                  value = 'cmath.sqrt(zetaTtR)',
                  texname = '\\text{KTtRh}')

KTuLh = Parameter(name = 'KTuLh',
                  nature = 'internal',
                  type = 'real',
                  value = 'cmath.sqrt(zetaTuL)',
                  texname = '\\text{KTuLh}')

KTuRh = Parameter(name = 'KTuRh',
                  nature = 'internal',
                  type = 'real',
                  value = 'cmath.sqrt(zetaTuR)',
                  texname = '\\text{KTuRh}')

sw2 = Parameter(name = 'sw2',
                nature = 'internal',
                type = 'real',
                value = '1 - MW**2/MZ**2',
                texname = '\\text{sw2}')

cw = Parameter(name = 'cw',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(1 - sw2)',
               texname = 'c_w')

sw = Parameter(name = 'sw',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(sw2)',
               texname = 's_w')

g1 = Parameter(name = 'g1',
               nature = 'internal',
               type = 'real',
               value = 'ee/cw',
               texname = 'g_1')

gw = Parameter(name = 'gw',
               nature = 'internal',
               type = 'real',
               value = 'ee/sw',
               texname = 'g_w')

KTcLw = Parameter(name = 'KTcLw',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTcL))/(sw*cmath.sqrt(2))',
                  texname = '\\text{KTcLw}')

KTcLz = Parameter(name = 'KTcLz',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTcL))/(2.*cw*sw)',
                  texname = '\\text{KTcLz}')

KTcRw = Parameter(name = 'KTcRw',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTcR))/(sw*cmath.sqrt(2))',
                  texname = '\\text{KTcRw}')

KTcRz = Parameter(name = 'KTcRz',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTcR))/(2.*cw*sw)',
                  texname = '\\text{KTcRz}')

KTtLw = Parameter(name = 'KTtLw',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTtL))/(sw*cmath.sqrt(2))',
                  texname = '\\text{KTtLw}')

KTtLz = Parameter(name = 'KTtLz',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTtL))/(2.*cw*sw)',
                  texname = '\\text{KTtLz}')

KTtRw = Parameter(name = 'KTtRw',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTtR))/(sw*cmath.sqrt(2))',
                  texname = '\\text{KTtRw}')

KTtRz = Parameter(name = 'KTtRz',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTtR))/(2.*cw*sw)',
                  texname = '\\text{KTtRz}')

KTuLw = Parameter(name = 'KTuLw',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTuL))/(sw*cmath.sqrt(2))',
                  texname = '\\text{KTuLw}')

KTuLz = Parameter(name = 'KTuLz',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTuL))/(2.*cw*sw)',
                  texname = '\\text{KTuLz}')

KTuRw = Parameter(name = 'KTuRw',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTuR))/(sw*cmath.sqrt(2))',
                  texname = '\\text{KTuRw}')

KTuRz = Parameter(name = 'KTuRz',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTuR))/(2.*cw*sw)',
                  texname = '\\text{KTuRz}')

v = Parameter(name = 'v',
              nature = 'internal',
              type = 'real',
              value = '(2*MW*sw)/ee',
              texname = 'v')

lam = Parameter(name = 'lam',
                nature = 'internal',
                type = 'real',
                value = 'MH**2/(2.*v**2)',
                texname = '\\text{lam}')

yb = Parameter(name = 'yb',
               nature = 'internal',
               type = 'real',
               value = '(ymb*cmath.sqrt(2))/v',
               texname = '\\text{yb}')

yt = Parameter(name = 'yt',
               nature = 'internal',
               type = 'real',
               value = '(ymt*cmath.sqrt(2))/v',
               texname = '\\text{yt}')

ytau = Parameter(name = 'ytau',
                 nature = 'internal',
                 type = 'real',
                 value = '(ymtau*cmath.sqrt(2))/v',
                 texname = '\\text{ytau}')

muH = Parameter(name = 'muH',
                nature = 'internal',
                type = 'real',
                value = 'cmath.sqrt(lam*v**2)',
                texname = '\\mu')

